%define	version	1.2.4
%define	release	%mkrel 1

Summary:	Integrated development environment for C and C++ (Linux)
Name:		anjuta
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://anjuta.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:	    http://prdownloads.sourceforge.net/anjuta/%{name}-%{version}.tar.bz2
# Use autoconf 2.5.x whenever anjuta runs autogen.sh
Patch0:		%{name}-1.1.98-autoconf-2.5.patch.bz2 
# paralle make breaks in scintilla
Patch1:		%{name}-1.2.1-parallel-make.patch.bz2
# amd64 fix
Patch2:		%{name}-lib64.patch.bz2
Patch3:		%{name}-amd64-pointer.patch.bz2

BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	vte-devel >= 0.9
BuildRequires:	scrollkeeper
BuildRequires:	ImageMagick
BuildRequires:  automake1.4
# It scans for sdl-config and wx-config, in order to generate tags
# for SDL/wxGTK headers
BuildRequires:	SDL1.2-devel
BuildRequires:	wxGTK-devel
# (Abel) FIXME: building various kind of projects will need different
# devel packages?
Requires:	cvs
Requires:	devhelp >= 0.6
Requires:	gdb
Requires:	glademm >= 2.0.0
Requires:	glade2 >= 2.0.0
Requires:	gnome-terminal
Requires:	indent
Requires:	make
Requires:	patch
Requires:	libgnomemm2.0-devel
Requires:	wxGTK-devel
Requires:	autoconf
Requires:	automake
Requires:	autoconf2.5
PreReq:		scrollkeeper

# To be removed after MDK 10
Obsoletes:	libanjuta0 libanjuta0-devel
Provides:	libanjuta0 libanjuta0-devel

%description
Anjuta is a versatile IDE for C and C++, written for GTK/GNOME. Features
include project management, application wizards, an onboard interactive
debugger, and a powerful source editor with browsing and syntax
highlighting.

This version of anjuta is the GNOME 2 port of anjuta 1.0, which
was for GNOME 1.x originally. The one written from scratch and
for GNOME 2 from the start has been renamed "Scaffold".

%prep
%setup -q
%patch0 -p0 -b .useautoconf25
%patch1 -p1 -b .parallel
%patch2

perl -pi -e "s|\@\@LIB\@\@|%_lib|" configure

# needed by patch1
#automake-1.4
aclocal
automake

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

perl -pi -e "s|\r\n|\n|" %{buildroot}%{_datadir}/%{name}/properties/*.properties doc/ScintillaDoc.html

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/anjuta" \
title="Anjuta IDE" \
longtitle="Anjuta Integrated Development Environment for C/C++" \
needs="x11" \
icon="%{name}.png" \
section="More Applications/Development/Development Environments" \
startup_notify="yes"
EOF
 
# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       pixmaps/applogo.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/applogo.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/applogo.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome
 
# remove unneeded files
rm -f %{buildroot}%{_libdir}/%{name}/*.la \
      %{buildroot}%{_libdir}/%{name}/*.a
rm -rf %{buildroot}/%{_docdir}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
 
%postun
%clean_menus 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog COPYING FUTURE NEWS README ABOUT-NLS
%doc TODO doc/ScintillaDoc.html
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/mime-info/*
%{_datadir}/mimelnk/application/*
%{_datadir}/pixmaps/*
%{_libdir}/%{name}
%{_mandir}/man?/*

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 1.2.4-1mdk
- New release 1.2.4
- rediff patch1
- remove patch3, applied upstream ( adm64 )

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-4mdk
- Fix BuildRequires
- %%mkrel 

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 1.2.2-3mdk
- Amd64 fixes (libdir + patch from debian)
- Fix menu

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Rebuild


* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 1.2.2-1mdk 
- 1.2.2
- rpmbuildupdate aware

* Thu Feb 12 2004 Abel Cheung <deaddog@deaddog.org> 1.2.1-1mdk
- New version
- Patch1: parallel make now works
- Add more dependencies required by various kind of projects

* Mon Dec 08 2003 Michael Scherer <misc@mandrake.org> 1.2.0-1mdk
- 1.2.0
- Remove patch2, not used
 
* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.98-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - uncomment line BuildRequires : scrollkeeper

* Tue Nov 11 2003 Abel Cheung <deaddog@deaddog.org> 1.1.98-1mdk
- 1.1.98
- Rediff patch0
- some BuildRequires fixes for 64bit arch

* Mon Aug 11 2003 Abel Cheung <maddog@linux.org.hk> 1.1.97-2mdk
- Unmklibnamedification: no lib in lib, no devel in devel.
- Don't pull in 20 GNOME 1.x packages
- Add StartupNotify to menu entry
- Use stock icon in menu entry
- TODO: Get the Requires right

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.97-1mdk
- 1.1.97

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- buildrequires (stefan spam :)
- distlint error

* Sat Mar 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-1mdk
- 1.0.2
- use %%mklibname

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-3mdk
- BuildRequires: libgdk-pixbuf2-devel, pkgconfig, libgnomeprint15-devel
- some spec cleanups
- clean menu file

* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- from Quel Qun <kelk1@hotmail.com> : 
	- add BuilRequires: libglade0-devel, docbook-dtd41-sgml.
	- Fixed docs conversion with dtd41.

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- add missing files & remove unwanted

* Tue Nov 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- regenerate patch

* Mon Aug 12 2002 Frederik Himpe <fhimpe@pandora.be> 0.9.99-1mdk
- update autoconf patch0
- add fcrozat patch1
- add scrollkeeper prereq & post & postun
- from Austin Acton :
	- 0.9.99
- from Frederik Himpe <fhimpe@pandora.be> :
	- requires glademm, libglade0-devel, libnomemm-1.2_9-devel
	- add patch to use autoconf-2.5

* Thu Jul 04 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-4mdk
- fix requires

* Tue Jun 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild against new libstdc++

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-2mdk
- requires devhelp

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9
- provides libanjuta & libanjuta-devel
- icon

* Tue Dec 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8

* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- 0.1.7
- fix url

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- updated to 0.1.5
- able to use install macro

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- updated to 0.1.4

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Tue Nov 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
